import { RcbConfig } from '../getConfig';
export default function getFileLoader(rcb: RcbConfig) {
    return ({
        loader: require.resolve('file-loader'),
        exclude: [
            /\.(js|jsx|ts|tsx)$/,
            /\.html$/,
            /\.json$/
        ],
        options: {
            name: 'image/[name].[ext]?[hash]',
            esModule: rcb.esModuleImage || false
        }
    });
}
